Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ListShuttleTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.ListShuttleTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ListShuttleTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ListShuttleTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setActiveItem(java.lang.String __activeItem)`
`void` | `setAjaxKeys(java.lang.String __ajaxKeys)`
`void` | `setBottomControlClass(java.lang.String __bottomControlClass)`
`void` | `setBottomControlLabel(java.lang.String __bottomControlLabel)`
`void` | `setColumnClasses(java.lang.String __columnClasses)`
`void` | `setComponentState(java.lang.String __componentState)`
`void` | `setControlsType(java.lang.String __controlsType)`
`void` | `setCopyAllControlClass(java.lang.String __copyAllControlClass)`
`void` | `setCopyAllControlLabel(java.lang.String __copyAllControlLabel)`
`void` | `setCopyControlClass(java.lang.String __copyControlClass)`
`void` | `setCopyControlLabel(java.lang.String __copyControlLabel)`
`void` | `setDisabledControlClass(java.lang.String __disabledControlClass)`
`void` | `setDownControlClass(java.lang.String __downControlClass)`
`void` | `setDownControlLabel(java.lang.String __downControlLabel)`
`void` | `setFastMoveControlsVisible(java.lang.String __fastMoveControlsVisible)`
`void` | `setFastOrderControlsVisible(java.lang.String __fastOrderControlsVisible)`
`void` | `setFirst(java.lang.String __first)`
`void` | `setFooter(java.lang.String __footer)`
`void` | `setHeader(java.lang.String __header)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setListClass(java.lang.String __listClass)`
`void` | `setListsHeight(java.lang.String __listsHeight)`
`void` | `setLocalValueSet(java.lang.String __localValueSet)`
`void` | `setMoveControlsVerticalAlign(java.lang.String __moveControlsVerticalAlign)`
`void` | `setMoveControlsVisible(java.lang.String __moveControlsVisible)`
`void` | `setOnbottomclick(java.lang.String __onbottomclick)`
`void` | `setOncopyallclick(java.lang.String __oncopyallclick)`
`void` | `setOncopyclick(java.lang.String __oncopyclick)`
`void` | `setOndownclick(java.lang.String __ondownclick)`
`void` | `setOnlistchanged(java.lang.String __onlistchanged)`
`void` | `setOnorderchanged(java.lang.String __onorderchanged)`
`void` | `setOnremoveallclick(java.lang.String __onremoveallclick)`
`void` | `setOnremoveclick(java.lang.String __onremoveclick)`
`void` | `setOntopclick(java.lang.String __ontopclick)`
`void` | `setOnupclick(java.lang.String __onupclick)`
`void` | `setOrderControlsVerticalAlign(java.lang.String __orderControlsVerticalAlign)`
`void` | `setOrderControlsVisible(java.lang.String __orderControlsVisible)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRemoveAllControlClass(java.lang.String __removeAllControlClass)`
`void` | `setRemoveAllControlLabel(java.lang.String __removeAllControlLabel)`
`void` | `setRemoveControlClass(java.lang.String __removeControlClass)`
`void` | `setRemoveControlLabel(java.lang.String __removeControlLabel)`
`void` | `setRequired(java.lang.String __required)`
`void` | `setRowClasses(java.lang.String __rowClasses)`
`void` | `setRowIndex(java.lang.String __rowIndex)`
`void` | `setRowKey(java.lang.String __rowKey)`
`void` | `setRowKeyVar(java.lang.String __rowKeyVar)`
`void` | `setRows(java.lang.String __rows)`
`void` | `setShowButtonLabels(java.lang.String __showButtonLabels)`
`void` | `setSourceCaptionLabel(java.lang.String __sourceCaptionLabel)`
`void` | `setSourceListWidth(java.lang.String __sourceListWidth)`
`void` | `setSourceSelection(java.lang.String __sourceSelection)`
`void` | `setSourceValue(java.lang.String __sourceValue)`
`void` | `setStateVar(java.lang.String __stateVar)`
`void` | `setSubmittedValue(java.lang.String __submittedValue)`
`void` | `setSwitchByClick(java.lang.String __switchByClick)`
`void` | `setTargetCaptionLabel(java.lang.String __targetCaptionLabel)`
`void` | `setTargetListWidth(java.lang.String __targetListWidth)`
`void` | `setTargetSelection(java.lang.String __targetSelection)`
`void` | `setTargetValue(java.lang.String __targetValue)`
`void` | `setTopControlClass(java.lang.String __topControlClass)`
`void` | `setTopControlLabel(java.lang.String __topControlLabel)`
`void` | `setUpControlClass(java.lang.String __upControlClass)`
`void` | `setUpControlLabel(java.lang.String __upControlLabel)`
`void` | `setValid(java.lang.String __valid)`
`void` | `setValidator(java.lang.String __validator)`
`void` | `setValueChangeListener(java.lang.String __valueChangeListener)`
`void` | `setVar(java.lang.String __var)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListShuttleTag

    public ListShuttleTag()

Method Detail

### setActiveItem

    public void setActiveItem(java.lang.String __activeItem)

### setAjaxKeys

    public void setAjaxKeys(java.lang.String __ajaxKeys)

### setBottomControlClass

    public void setBottomControlClass(java.lang.String __bottomControlClass)

### setBottomControlLabel

    public void setBottomControlLabel(java.lang.String __bottomControlLabel)

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

### setComponentState

    public void setComponentState(java.lang.String __componentState)

### setControlsType

    public void setControlsType(java.lang.String __controlsType)

### setCopyAllControlClass

    public void setCopyAllControlClass(java.lang.String __copyAllControlClass)

### setCopyAllControlLabel

    public void setCopyAllControlLabel(java.lang.String __copyAllControlLabel)

### setCopyControlClass

    public void setCopyControlClass(java.lang.String __copyControlClass)

### setCopyControlLabel

    public void setCopyControlLabel(java.lang.String __copyControlLabel)

### setDisabledControlClass

    public void setDisabledControlClass(java.lang.String __disabledControlClass)

### setDownControlClass

    public void setDownControlClass(java.lang.String __downControlClass)

### setDownControlLabel

    public void setDownControlLabel(java.lang.String __downControlLabel)

### setFastMoveControlsVisible

    public void setFastMoveControlsVisible(java.lang.String __fastMoveControlsVisible)

### setFastOrderControlsVisible

    public void setFastOrderControlsVisible(java.lang.String __fastOrderControlsVisible)

### setFirst

    public void setFirst(java.lang.String __first)

### setFooter

    public void setFooter(java.lang.String __footer)

### setHeader

    public void setHeader(java.lang.String __header)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setListClass

    public void setListClass(java.lang.String __listClass)

### setListsHeight

    public void setListsHeight(java.lang.String __listsHeight)

### setLocalValueSet

    public void setLocalValueSet(java.lang.String __localValueSet)

### setMoveControlsVerticalAlign

    public void setMoveControlsVerticalAlign(java.lang.String __moveControlsVerticalAlign)

### setMoveControlsVisible

    public void setMoveControlsVisible(java.lang.String __moveControlsVisible)

### setOnbottomclick

    public void setOnbottomclick(java.lang.String __onbottomclick)

### setOncopyallclick

    public void setOncopyallclick(java.lang.String __oncopyallclick)

### setOncopyclick

    public void setOncopyclick(java.lang.String __oncopyclick)

### setOndownclick

    public void setOndownclick(java.lang.String __ondownclick)

### setOnlistchanged

    public void setOnlistchanged(java.lang.String __onlistchanged)

### setOnorderchanged

    public void setOnorderchanged(java.lang.String __onorderchanged)

### setOnremoveallclick

    public void setOnremoveallclick(java.lang.String __onremoveallclick)

### setOnremoveclick

    public void setOnremoveclick(java.lang.String __onremoveclick)

### setOntopclick

    public void setOntopclick(java.lang.String __ontopclick)

### setOnupclick

    public void setOnupclick(java.lang.String __onupclick)

### setOrderControlsVerticalAlign

    public void setOrderControlsVerticalAlign(java.lang.String __orderControlsVerticalAlign)

### setOrderControlsVisible

    public void setOrderControlsVisible(java.lang.String __orderControlsVisible)

### setRemoveAllControlClass

    public void setRemoveAllControlClass(java.lang.String __removeAllControlClass)

### setRemoveAllControlLabel

    public void setRemoveAllControlLabel(java.lang.String __removeAllControlLabel)

### setRemoveControlClass

    public void setRemoveControlClass(java.lang.String __removeControlClass)

### setRemoveControlLabel

    public void setRemoveControlLabel(java.lang.String __removeControlLabel)

### setRequired

    public void setRequired(java.lang.String __required)

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

### setRowIndex

    public void setRowIndex(java.lang.String __rowIndex)

### setRowKey

    public void setRowKey(java.lang.String __rowKey)

### setRowKeyVar

    public void setRowKeyVar(java.lang.String __rowKeyVar)

### setRows

    public void setRows(java.lang.String __rows)

### setShowButtonLabels

    public void setShowButtonLabels(java.lang.String __showButtonLabels)

### setSourceCaptionLabel

    public void setSourceCaptionLabel(java.lang.String __sourceCaptionLabel)

### setSourceListWidth

    public void setSourceListWidth(java.lang.String __sourceListWidth)

### setSourceSelection

    public void setSourceSelection(java.lang.String __sourceSelection)

### setSourceValue

    public void setSourceValue(java.lang.String __sourceValue)

### setStateVar

    public void setStateVar(java.lang.String __stateVar)

### setSubmittedValue

    public void setSubmittedValue(java.lang.String __submittedValue)

### setSwitchByClick

    public void setSwitchByClick(java.lang.String __switchByClick)

### setTargetCaptionLabel

    public void setTargetCaptionLabel(java.lang.String __targetCaptionLabel)

### setTargetListWidth

    public void setTargetListWidth(java.lang.String __targetListWidth)

### setTargetSelection

    public void setTargetSelection(java.lang.String __targetSelection)

### setTargetValue

    public void setTargetValue(java.lang.String __targetValue)

### setTopControlClass

    public void setTopControlClass(java.lang.String __topControlClass)

### setTopControlLabel

    public void setTopControlLabel(java.lang.String __topControlLabel)

### setUpControlClass

    public void setUpControlClass(java.lang.String __upControlClass)

### setUpControlLabel

    public void setUpControlLabel(java.lang.String __upControlLabel)

### setValid

    public void setValid(java.lang.String __valid)

### setValidator

    public void setValidator(java.lang.String __validator)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String __valueChangeListener)

### setVar

    public void setVar(java.lang.String __var)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.